{{ define "main" }}
<main aria-role="main">
  <header class="homepage-header">
    <h1>{{.Title}}</h1>
    {{ with .Params.subtitle }}
    <span class="subtitle">{{.}}</span>
    {{ end }}
  </header>
  <div class="homepage-content">
    <!-- Note that the content for index.html, as a sort of list page, will pull from content/_index.md -->
    {{.Content}}
  </div>
  <hr>
  <div>
    <!-- Note that .Data.Pages is the equivalent of .Site.Pages on the homepage template. -->
    {{ range first 10 .Data.Pages }}
        {{ .Render "summary"}}
    {{ end }}
  </div>
</main>
{{ end }}